Wipeout in Solid umwandeln / Lisp
balubabaer 29. Sep. 2004, 08:45

Hallo erstmal,

gibt es schon ein Lisp, der Wipeouts in Solids umwandelt? Ich habe im Forum gesucht, aber nichts gefunden.

Danke
Bernhard

cadffm 29. Sep. 2004, 08:52

kennen da nichts, wird aber ne schöne rechnerei ;D

CADmium 29. Sep. 2004, 08:53

.. auch wenn die Zahl der bereits geschriebenen Lisp's endlich ist, existiert trotzdem eine gewisse Wahrscheinlichkeit, das es so ein Lisp gibt! Die Frage ist bloß: wo ?

...schon mal mit den beiden Begriffen gegoogelt?

In dem Bewußtsein dir jetzt nicht weitergeholfen zu haben..

Cadzia 29. Sep. 2004, 10:55

Hallo Bernhard,

ich habe damals die wipeouts in eine solidschraffur umgewandelt, indem ich  auf einem neuen Layer alle Rahmen mit dem sw_hatch.slp einzeln schraffiert habe. Anschließend Wipeout-layer löschen - fertig.

;;;
;;;
;;;                      Funktionen zum Hatchen von Objekten (geschlossene Polylines u.ä.)
;;;                                Mit Buttondefinitionen für die, die Buttons wollen,
;;;                            HATCHT ALLE GEWÄHLTEN OBJEKTE UNABHÄNGIG VONEINANDER
;;;                                          AUF VOREINGESTELLTEN LAYERN
;;;
;;;                                                  - Wolfgang Sünder -
;;;                                                      - 10/17/01 -
;;;                      - VERSION 2.0 -
;;;
;;;

(prompt "\n| | sw_hatch wurde geladen. \"sw_hb001\" oder \"sw_hv001\" zum Ausführen Eingeben")

(defun c:sw_hb001 (/ idx ss sc clayer)

  (command "_UNDO" "_BEGIN")
 

  (command "_ucs" "w")
  (setq ss (ssget))
  (setq idx 0)
  (repeat (sslength ss)
    (command "_-bhatch"
    "_A"
    "_A"
    "_Y"
    ""
    "_P"
    "SOLID"
    "_S"
    (ssname ss idx)
    ""
    ""
    )
    (setq idx (1+ idx))
  )
  (command "_ucs" "VO")
  (command "_UNDO" "_END")(princ)
 
)